### Signal

# Gdk FrameClock::layout

since: 4.0

#### Declaration

    void
    layout (
      GdkFrameClock* self,
      gpointer user_data
    )

#### Description [src]

Emitted as the second step of toolkit and application processing of the frame.

Any work to update sizes and positions of application elements should be performed. GTK normally handles this internally.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 4.0